 
CONFIG += c++11

QT += core network


SOURCES += \
        $$PWD/core/pqapppath.cpp \
        $$PWD/log/pqlog.cpp \
        $$PWD/serialport/pqassicbrhelp.cpp \
        $$PWD/serialport/pqrtuhelper.cpp \
        $$PWD/transport/pqhttpformdata.cpp \
        $$PWD/transport/pqmsgheader.cpp \
        $$PWD/transport/pqtcpsocket.cpp \
        $$PWD/utils/MurmurHash3.cpp \
        $$PWD/utils/pqfileutils.cpp \
        $$PWD/utils/pqgisutils.cpp \
        $$PWD/utils/pqutilsfunc.cpp

TRANSLATIONS += \
    $$PWD/pqQtlib_zh_CN.ts

HEADERS += \
    $$PWD/core/pqapppath.h \
    $$PWD/log/pqlog.h \
    $$PWD/serialport/pqassicbrhelp.h \
    $$PWD/serialport/pqrtuhelper.h \
    $$PWD/transport/pqhttpformdata.h \
    $$PWD/transport/pqmsgheader.h \
    $$PWD/transport/pqtcpsocket.h \
    $$PWD/utils/MurmurHash3.h \
    $$PWD/utils/pqendian.h \
    $$PWD/utils/pqfileutils.h \
    $$PWD/utils/pqgisutils.h \
    $$PWD/utils/pqutilsfunc.h

INCLUDEPATH += $$PWD/
